#include "485NetworkCommIF.h"
#include "NetworkDevice.h"

C485NetworkCommIF::C485NetworkCommIF()
{
}

C485NetworkCommIF::~C485NetworkCommIF()
{

}

int C485NetworkCommIF::NewFrameReceived(int DeviceID, int DeviceAddress, int MessageID, int DataSize, QByteArray Data)
{
    Q_UNUSED(DeviceID)
    Q_UNUSED(DeviceAddress)
    Q_UNUSED(MessageID)
    Q_UNUSED(DataSize)
    Q_UNUSED(Data)

    return RET_OK;
}


int C485NetworkCommIF::RegisterNewDevice(CNetworkDevice *NewDevice)
{
    mDevicesList.append(NewDevice);
    return 1;
}

int C485NetworkCommIF::SendNetworkMessage(int DeviceID, int DeviceAddress, int MessageID, int DataSize, QByteArray *Data)
{
    Q_UNUSED(DeviceID)
    Q_UNUSED(DeviceAddress)
    Q_UNUSED(MessageID)
    Q_UNUSED(DataSize)
    Q_UNUSED(Data)

    return RET_OK;
}
